Page MenuHomePhabricator

Since early January 2020, no feed available for the Copy Patrol tool
Closed, ResolvedPublic

Description

Since late on the 1st/early on the 2nd, there has been no feed available for the Copy Patrol tool.

Event Timeline

L3X1 created this task.Jan 8 2020, 10:17 PM
Restricted Application added a project: Community-Tech. · View Herald TranscriptJan 8 2020, 10:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
L3X1 added a comment.Jan 9 2020, 4:39 AM

3rd/4th not the 1st/2nd.

Mentioned in SAL (#wikimedia-cloud) [2020-01-09T05:04:38Z] <wm-bot> <samwilson> Ran restart_plagiabot.sh T242291

The most recent report looks to be from 2020-01-04 16:05:36:

MariaDB [s51306__copyright_p]> select * from copyright_diffs order by diff_timestamp desc limit 3 \G
*************************** 1. row ***************************
              id: 162640
         project: wikipedia
            lang: en
            diff: 934070759
  diff_timestamp: 20200104160536
      page_title: Kluang_Municipal_Council
...

I'm not familiar enough with how eranbot works. It doesn't look like the restart command has fixed things (or does it just take a while for the reports to start being added to the DB?).

I think this had better wait for someone who knows how things are set up! Sorry.

Mentioned in SAL (#wikimedia-cloud) [2020-01-09T05:14:49Z] <wm-bot> <samwilson> Killed and restarted enwiki job 2924844. T242291.

Ah, it's a different job; the restart_plagiabot.sh command is something else.

New records are now showing up in the DB:

MariaDB [s51306__copyright_p]> select * from copyright_diffs order by diff_timestamp desc limit 1 \G
*************************** 1. row ***************************
              id: 162641
         project: wikipedia
            lang: en
            diff: 934903093
  diff_timestamp: 20200109051025
      page_title: MrBeast
         page_ns: 0
  ithenticate_id: 53216986
...
Aklapper renamed this task from Copy-Patrol Feed is broken to Since early January 2020, no feed available for the Copy Patrol tool.Jan 9 2020, 10:46 AM
L3X1 added a comment.Jan 9 2020, 2:01 PM

It works now. Thanks all.

JJMC89 closed this task as Resolved.Jan 9 2020, 4:04 PM
JJMC89 assigned this task to Samwilson.
Diannaa reopened this task as Open.EditedJan 9 2020, 11:02 PM

The bot appears to have stopped again, as there's been no new cases posted for 4 hours.

Update: I am getting a 503 Service Unavailable error when clicking on iThenticate links; see for example:

https://tools.wmflabs.org/eranbot/ithenticate.py?rid=53226203

Update #2: as of 2020-01-10 00:05, new reports are being posted at CopyPatrol, but clicking on the iThenticate link is still returning a 503 error.

Mentioned in SAL (#wikimedia-cloud) [2020-01-10T02:15:08Z] <wm-bot> <samwilson> Restarted web service and enwiki job. T242291.

Oops, I missed your later update, so prob didn't need to restart the enwiki job; no matter. The web service should be running again now. I'm not sure why it was not responding (the job was still running).

The tool appears to be functioning normally now (including the iThenticate links).

kostajh closed this task as Resolved.Jan 10 2020, 10:11 AM
Diannaa reopened this task as Open.Jan 14 2020, 3:38 PM

The bot appears to have stopped again. There's been no new reports filed for three hours. Thank you!

Diannaa closed this task as Resolved.Jan 14 2020, 7:28 PM

Reporting has now resumed. Thanks!

Adotchar reopened this task as Open.Jan 28 2020, 12:10 AM
Adotchar added a subscriber: Adotchar.

It hasn't worked for the Spanish Wikipedia's CopyPatrol since the 4th of January, it seems. Same with the French version.

MusikAnimal closed this task as Resolved.Jan 29 2020, 7:46 AM

I restarted the jobs for Spanish and French and new reports are now showing. I will try to set up some automation to fix this automatically. Resolving for now.

MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Feb 6 2020, 9:31 PM
Diannaa reopened this task as Open.Mar 9 2020, 12:53 AM

Hi all, the bot appears to need a re-start again as there's been no new reports filed for 3.5 hours. Thank you.

Diannaa closed this task as Resolved.Mon, Mar 9, 4:31 AM

Normal activity resumed at 01:47 UTC. Thanks

Diannaa reopened this task as Open.Wed, Apr 1, 6:22 PM

Hi all, the bot appears to need a re-start as there's been no new reports filed for 3.5 hours. Thank you.

Diannaa closed this task as Resolved.Wed, Apr 1, 7:21 PM

Now resolved. Thank you!